/*
  File: comm.c
  Desc: This file implements the actual transmission portion
  of the "ok to power me down" message to the remote
  power cycling black box.

  It's been sepatated into a separate file so that
  it may be replaced by any other comm mechanism desired.

  (including none or non serial mode at all)

  $Id: comm.c,v 1.1.1.1 2019/04/10 23:54:35 ytakeuchi Exp $
  $Log: comm.c,v $
  Revision 1.1.1.1  2019/04/10 23:54:35  ytakeuchi
  import from videopf10 : HEAD , 2019.04.10 00:00

  Revision 1.1.1.1  2018/07/23 04:55:13  ytakeuchi
  import from videopf09 : HEAD , 2018.07.23 00:00

  Revision 1.1.1.1  2017/06/19 08:52:42  ytakeuchi
  import from videopf08 : HEAD , 2017.06.15 00:00

  Revision 1.1.1.1  2016/09/06 00:58:46  ytakeuchi
  import from videopf07 : HEAD , 2016.09.01 00:00

  Revision 1.1.1.1  2016/02/26 10:49:43  ytakeuchi
  import from videopf06 : HEAD , 2016.02.22 00:00

  Revision 1.1.1.1  2014/12/16 06:39:42  Miyuki
  videopf05->06 initial import.

  Revision 1.1.1.1  2013/09/03 07:48:56  ytakeuchi
  import from videopf04 : HEAD , 2013.09.03 00:00

  Revision 1.1.1.1  2011/10/17 05:11:08  mkodama
  Initial import for Pro4

  Revision 1.1.1.1  2011/07/21 01:25:32  ytakeuchi
  import from videopf01 : HEAD , 2011.07.18 00:00

  Revision 1.1.1.1  2010/07/12 06:19:58  ytakeuchi
  import from newpf : HEAD , 2010.07.07 07:07

  Revision 1.1.1.1  2009/07/06 04:08:31  ytakeuchi
  import from newpro2pf : HEAD , 2009.07.06

  Revision 1.1.1.1  2008/08/28 03:13:55  ytakeuchi
  import from pro2pf : HEAD , 2008.08.28

  Revision 1.1.1.1  2005/09/06 09:31:27  kouji
  import from DNSC.
  cvs -d :pserver:***@foo:/home/cvsroot/peakspf co -D "2005-09-06 00:00" px600-src

  Revision 1.1.1.1  2003/11/02 07:45:45  okamoto
  newarch for PEAKS-lite

  Revision 1.1  2002/05/08 09:19:18  takenaka
  support JFFS2.
  if use, edit autoconf.h

  #define CONFIG_JFFS2_FS 1
  #define CONFIG_JFFS2_FS_DEBUG 0
  #define	CONFIG_PIE_MTD 1

  and edit .config
  CONFIG_PIE_MTD=y
  CONFIG_JFFS2_FS=y

  Revision 1.1.1.1  2001/10/31 07:27:00  okamoto
  mtd

  Revision 1.2  2001/06/21 23:07:18  dwmw2
  Initial import to MTD CVS

  Revision 1.1  2001/06/08 22:26:05  vipin
  Split the modbus comm part of the program (that sends the ok to pwr me down
  message) into another file "comm.c"


  
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>



/*
  This is the routine that forms and
  sends the "ok to pwr me down" message
  to the remote power cycling "black box".

 */
int do_pwr_dn(int fd, int cycleCnt)
{

    char buf[200];
    
    sprintf(buf, "ok to power me down!\nCount = %i\n", cycleCnt);

    if(write(fd, buf, strlen(buf)) < strlen(buf))
    {
        perror("write error");
        return -1;
    }

    return 0;
}













